=== debian/control ===
Source: libimagequant
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Herbert Parentes Fortes Neto <hpfn@debian.org>,
           Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11),
               d-shlibs
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
Homepage: https://github.com/ImageOptim/libimagequant

Package: libimagequant-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libimagequant0 (= ${binary:Version}),
         ${misc:Depends}
Description: palette quantization library (development files)
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.
 .
 This package contains the development files.

Package: libimagequant0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: palette quantization library
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.
