=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-D_FORTIFY_SOURCE=2


%:
	dh $@

ifeq (,$(filter $(DEB_HOST_ARCH), amd64 x32))
override_dh_auto_configure:
	dh_auto_configure -- --disable-sse
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/include/* usr/include \
		    --movedev "debian/tmp/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/lib/*/*.so
