=== debian/watch ===
version=4

https://github.com/ImageOptim/libimagequant/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
