=== debian/changelog ===
libimagequant (2.18.0-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:36 +0200

libimagequant (2.18.0-1) unstable; urgency=medium

  * New upstream version
  * d/watch:
     - Make sure to fetch only version 2.x series since 4.x is
       rewritten in rust language
     - Fix download name
  * d/rules: add /usr/share/dpkg/buildtools.mk
    Closes: #944439
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2023 09:37:09 +0100
