=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libimagequant
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Barak A. Pearlmutter <bap@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13), d-shlibs, debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
