=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND=-D_FORTIFY_SOURCE=2
+
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@
