=== debian/changelog ===
libimagequant (4.4.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Build-Depends add python3, fix FTBFS in 4.4.0-2
    as /usr/share/cargo/bin/cargo use python3

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 25 Aug 2025 09:16:22 +0800

libimagequant (4.4.0-2) unstable; urgency=medium

  * Team upload.
  * add d/p/Cargo.toml.patch, fix FTBFS in 4.4.0-1 when no network
  * d/rules: copy some infos from https://wiki.debian.org/Gnome/Rust_Packaging
  * d/clean: add clear debian/cargo_home/ directory

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 25 Aug 2025 01:52:09 +0800

libimagequant (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.4.0
  * d/copyright:
      - delete Files: pam.h section, file not exist in new upstream version
      - remove useless License: MIT section
      - update Files: example.c path
      - update copyright year info to 2025
  * rename d/libimagequant0.examples to d/libimagequant-dev.examples
  * d/control: update Build-Depends for rust cargo
  * d/rules: use cargo cinstall
  * d/libimagequant0.symbols: update for 4.4.0
  * add d/clean
  * add d/*.install
  * add d/p/SONAME-version-suffix.patch
  * Bump Standards-Version: 4.7.2
  * d/watch: fetch upstream newest version 4.x series

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 24 Aug 2025 16:32:18 +0800
