=== debian/control ===
Source: libimagequant
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Barak A. Pearlmutter <bap@debian.org>,
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cargo-c,
 cargo:native,
 librust-arrayvec-0.7+default-dev,
 librust-bitflags-1+default-dev,
 librust-cc-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-num-cpus-1+default-dev,
 librust-once-cell-1+default-dev,
 librust-rayon-1+default-dev,
 librust-rgb-0.8+argb-dev,
 librust-rgb-0.8+default-dev,
 librust-thread-local-1+default-dev,
 libstd-rust-dev,
 rustc:native,
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
Homepage: https://github.com/ImageOptim/libimagequant

Package: libimagequant-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libimagequant0 (= ${binary:Version}),
 ${misc:Depends},
Description: palette quantization library (development files)
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.
 .
 This package contains the development files.

Package: libimagequant0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: palette quantization library
 Small, portable C library for high-quality conversion of RGBA
 images to 8-bit indexed-color (palette) images.
 .
 This library powers pngquant and other PNG optimizers.
