=== debian/watch ===
version=4

https://github.com/ImageOptim/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
