## libimagequant 4.4.1

=== debian/changelog ===
libimagequant (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.4.1
  * add d/gbp.conf, set pristine-tar = True
  * d/roles: delete Rules-Requires-Root: no, useless

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 14 Dec 2025 09:56:31 +0800
