=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  rustc:native,
  python3,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libimagequant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libimagequant.git
 Homepage: https://github.com/ImageOptim/libimagequant
